Number Recycling

Check if a number has been recycled since a specified date

Checks whether the given phone number has been recycled since the specified date.

post
https://api.pxg.konera.com/camara/number-recycling/v0.2/check

Headers

x-correlation-idstring

Correlation ID for request tracing

Body

application/json

NumberRecyclingRequest

phoneNumberstringrequired

MSISDN in E.164 format

Example:+14155550123

specifiedDatestring(date)required

Date (in the past) against which recycling is checked (YYYY-MM-DD)

Example:2026-01-19

Response

application/json

Number recycling status returned

NumberRecyclingResponse

recycledSinceSpecifiedDatebooleanrequired

Indicates whether the phone number has been recycled since the specified date

Example:false

post/number-recycling/v0.2/check

Body

{ "phoneNumber": "+14155550123", "specifiedDate": "2026-01-19" }
 
application/json

NumberRecyclingRequest

object
phoneNumberstringrequired

MSISDN in E.164 format

Example:+14155550123

specifiedDatestring(date)required

Date (in the past) against which recycling is checked (YYYY-MM-DD)

Example:2026-01-19

Example

NumberRecyclingResponse

object
recycledSinceSpecifiedDatebooleanrequired

Indicates whether the phone number has been recycled since the specified date

Example

Error

object
statusintegerrequired

Example:400

codestringrequired

Example:INVALID_ARGUMENT

messagestringrequired

Example:Invalid request

Example